org.richfaces.component

## Class UIMenuGroup

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - org.richfaces.component.AbstractMenuGroup
        - - org.richfaces.component.UIMenuGroup

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, CoreProps, DisabledProps, EventsKeyProps, EventsMouseProps, EventsPopupsProps, I18nProps, PositionProps

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIMenuGroup
      extends AbstractMenuGroup
      implements javax.faces.component.behavior.ClientBehaviorHolder, CoreProps, DisabledProps, EventsKeyProps, EventsMouseProps, EventsPopupsProps, I18nProps, PositionProps

  The <rich:menuGroup> component represents an expandable sub-menu in a menu control. The <rich:menuGroup> component can contain a number of <rich:menuItem> components, or further nested <rich:menuGroup> components.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIMenuGroup.Properties`

    - ### Nested classes/interfaces inherited from class org.richfaces.component.AbstractMenuGroup

      `AbstractMenuGroup.Facets`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIMenuGroup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultEventName()`
    `String` | `getDir()` Direction indication for text that does not inherit directionality.
    `Positioning` | `getDirection()` Set the direction of the popup.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `int` | `getHorizontalOffset()` Sets the horizontal offset between popup element and the conjunction point
    `String` | `getIcon()` The icon to be displayed with the menu item
    `String` | `getIconDisabled()` The icon to be displayed with the menu item when it is disabled
    `Positioning` | `getJointPoint()` Set the corner attachment point with which the popup should be connected.
    `String` | `getLabel()` The text label for the menu item.
    `String` | `getLang()` Code describing the language used in the generated markup for this component.
    `String` | `getOnclick()` Javascript code executed when a pointer button is clicked over this element.
    `String` | `getOndblclick()` Javascript code executed when a pointer button is double clicked over this element.
    `String` | `getOnhide()` The client-side code executed after the popup disappears.
    `String` | `getOnkeydown()` Javascript code executed when a key is pressed down over this element.
    `String` | `getOnkeypress()` Javascript code executed when a key is pressed and released over this element.
    `String` | `getOnkeyup()` Javascript code executed when a key is released over this element.
    `String` | `getOnmousedown()` Javascript code executed when a pointer button is pressed down over this element.
    `String` | `getOnmousemove()` Javascript code executed when a pointer button is moved within this element.
    `String` | `getOnmouseout()` Javascript code executed when a pointer button is moved away from this element.
    `String` | `getOnmouseover()` Javascript code executed when a pointer button is moved onto this element.
    `String` | `getOnmouseup()` Javascript code executed when a pointer button is released over this element.
    `String` | `getOnshow()` The client-side code executed after the popup is shown.
    `String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `String` | `getTitle()` Advisory title information about markup elements generated for this component.
    `Object` | `getValue()`
    `int` | `getVerticalOffset()` Sets the vertical offset between popup element and the conjunction point
    `boolean` | `isDisabled()` Flag indicating that this element must never receive focus or be included in a subsequent submit.
    `void` | `setDir(String dir)`
    `void` | `setDirection(Positioning direction)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setHorizontalOffset(int horizontalOffset)`
    `void` | `setIcon(String icon)`
    `void` | `setIconDisabled(String iconDisabled)`
    `void` | `setJointPoint(Positioning jointPoint)`
    `void` | `setLabel(String label)`
    `void` | `setLang(String lang)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnhide(String onhide)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeypress(String onkeypress)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setOnshow(String onshow)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTitle(String title)`
    `void` | `setValue(Object value)`
    `void` | `setVerticalOffset(int verticalOffset)`

    - ### Methods inherited from class org.richfaces.component.AbstractMenuGroup

      `getCssRoot`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `clearInitialState, getConverter, getLocalValue, markInitialState, resetValue, restoreState, saveState, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIMenuGroup

          public UIMenuGroup()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIOutput`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getDir

          public String getDir()

      Description copied from interface: `I18nProps`
      Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).
      Specified by:
        `getDir` in interface `I18nProps`

    - #### setDir

          public void setDir(String dir)

    - #### getDirection

          public Positioning getDirection()

      Description copied from interface: `PositionProps`

      Set the direction of the popup. Possible values are:
      auto, topLeft, topRight, bottomLeft, bottomRight, autoLeft, autoRight, topAuto, bottomAuto

      Default value is auto

      Specified by:
        `getDirection` in interface `PositionProps`

    - #### setDirection

          public void setDirection(Positioning direction)

    - #### isDisabled

          public boolean isDisabled()

      Description copied from interface: `DisabledProps`
      Flag indicating that this element must never receive focus or be included in a subsequent submit.
      Specified by:
        `isDisabled` in interface `DisabledProps`

    - #### setDisabled

          public void setDisabled(boolean disabled)

    - #### getHorizontalOffset

          public int getHorizontalOffset()

      Description copied from interface: `PositionProps`

      Sets the horizontal offset between popup element and the conjunction point

      Default value is 0

      Specified by:
        `getHorizontalOffset` in interface `PositionProps`

    - #### setHorizontalOffset

          public void setHorizontalOffset(int horizontalOffset)

    - #### getIcon

          public String getIcon()

      Description copied from class: `AbstractMenuGroup`
      The icon to be displayed with the menu item
      Specified by:
        `getIcon` in class `AbstractMenuGroup`

    - #### setIcon

          public void setIcon(String icon)

    - #### getIconDisabled

          public String getIconDisabled()

      Description copied from class: `AbstractMenuGroup`
      The icon to be displayed with the menu item when it is disabled
      Specified by:
        `getIconDisabled` in class `AbstractMenuGroup`

    - #### setIconDisabled

          public void setIconDisabled(String iconDisabled)

    - #### getJointPoint

          public Positioning getJointPoint()

      Description copied from interface: `PositionProps`

      Set the corner attachment point with which the popup should be connected. Possible values are:
      auto, topLeft, topRight, bottomLeft, bottomRight, autoLeft, autoRight, topAuto, bottomAuto

      Default value is auto

      Specified by:
        `getJointPoint` in interface `PositionProps`

    - #### setJointPoint

          public void setJointPoint(Positioning jointPoint)

    - #### getLabel

          public String getLabel()

      Description copied from class: `AbstractMenuGroup`
      The text label for the menu item. Alternatively, use the label facet to define content for the label
      Specified by:
        `getLabel` in class `AbstractMenuGroup`

    - #### setLabel

          public void setLabel(String label)

    - #### getLang

          public String getLang()

      Description copied from interface: `I18nProps`
      Code describing the language used in the generated markup for this component.
      Specified by:
        `getLang` in interface `I18nProps`

    - #### setLang

          public void setLang(String lang)

    - #### getOnclick

          public String getOnclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is clicked over this element.
      Specified by:
        `getOnclick` in interface `EventsMouseProps`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOndblclick

          public String getOndblclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is double clicked over this element.
      Specified by:
        `getOndblclick` in interface `EventsMouseProps`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnhide

          public String getOnhide()

      Description copied from interface: `EventsPopupsProps`
      The client-side code executed after the popup disappears.
      Specified by:
        `getOnhide` in interface `EventsPopupsProps`

    - #### setOnhide

          public void setOnhide(String onhide)

    - #### getOnkeydown

          public String getOnkeydown()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed down over this element.
      Specified by:
        `getOnkeydown` in interface `EventsKeyProps`

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### getOnkeypress

          public String getOnkeypress()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed and released over this element.
      Specified by:
        `getOnkeypress` in interface `EventsKeyProps`

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

    - #### getOnkeyup

          public String getOnkeyup()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is released over this element.
      Specified by:
        `getOnkeyup` in interface `EventsKeyProps`

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### getOnmousedown

          public String getOnmousedown()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is pressed down over this element.
      Specified by:
        `getOnmousedown` in interface `EventsMouseProps`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved within this element.
      Specified by:
        `getOnmousemove` in interface `EventsMouseProps`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved away from this element.
      Specified by:
        `getOnmouseout` in interface `EventsMouseProps`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved onto this element.
      Specified by:
        `getOnmouseover` in interface `EventsMouseProps`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is released over this element.
      Specified by:
        `getOnmouseup` in interface `EventsMouseProps`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getOnshow

          public String getOnshow()

      Description copied from interface: `EventsPopupsProps`
      The client-side code executed after the popup is shown.
      Specified by:
        `getOnshow` in interface `EventsPopupsProps`

    - #### setOnshow

          public void setOnshow(String onshow)

    - #### getStyle

          public String getStyle()

      Description copied from interface: `CoreProps`
      CSS style(s) to be applied when this component is rendered.
      Specified by:
        `getStyle` in interface `CoreProps`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Description copied from interface: `CoreProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `CoreProps`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTitle

          public String getTitle()

      Description copied from interface: `CoreProps`
      Advisory title information about markup elements generated for this component.
      Specified by:
        `getTitle` in interface `CoreProps`

    - #### setTitle

          public void setTitle(String title)

    - #### getValue

          public Object getValue()

      Specified by:
        `getValue` in interface `javax.faces.component.ValueHolder`
      Specified by:
        `getValue` in class `AbstractMenuGroup`

    - #### setValue

          public void setValue(Object value)

      Specified by:
        `setValue` in interface `javax.faces.component.ValueHolder`
      Overrides:
        `setValue` in class `javax.faces.component.UIOutput`

    - #### getVerticalOffset

          public int getVerticalOffset()

      Description copied from interface: `PositionProps`

      Sets the vertical offset between popup element and the conjunction point

      Default value is 0

      Specified by:
        `getVerticalOffset` in interface `PositionProps`

    - #### setVerticalOffset

          public void setVerticalOffset(int verticalOffset)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.